Name: exifrename
Summary: Renomme des photos à l'aide de leur date Exif
Version: 0.8
Release: %mkrel 1
License: GPL v2
Group: Graphics
BuildRoot: %{_tmppath}/build-root-%{name}
Source0: http://madb.homelinux.net/freesoft/%{name}/%{name}-%{version}.tar.gz
#Source1: %{name}-%{version}.tar.gz
Packager: Bruno ANSELME
Distribution: Magiea
Url: http://madb.homelinux.net
Vendor: Bruno ANSELME
Requires: qt
Requires: libexiv2_10

%description
Renomme vos photos à l'aide des données Exif trouvées dans l'image.
Identifie les appareils photos numériques.
Affecte à chacun un préfix et une correction de date pour regrouper les photos issues d'APNs différents.

%prep
rm -rf %{buildroot}
mkdir %{buildroot}

%setup -q

# Avant le make
%build
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}%{_datadir}/icons
mkdir -p %{buildroot}%{_datadir}/applications
qmake
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
make

# Avant l'installation
%install
cp exifrename %{buildroot}/usr/bin
cp images/exifrename-32.png %{buildroot}%{_datadir}/icons/exifrename.png
cp exifrename.desktop %{buildroot}%{_datadir}/applications/
xdg-desktop-menu install %{buildroot}%{_datadir}/applications/exifrename.desktop --novendor
kbuildsycoca4 2> /dev/null

# Avant la désinstallation
%preun
which xdg-desktop-menu
if [ $? = 0 ]; then
  xdg-desktop-menu uninstall /usr/share/applications/exifrename.desktop
fi

# Apres la désinstallation
%postun
which kbuildsycoca4 >/dev/null 2>/dev/null
if [ $? = 0 ]; then
  kbuildsycoca4 2> /dev/null
fi

# Nettoyage
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/bin/exifrename
/usr/share/icons/exifrename.png
/usr/share/applications/exifrename.desktop

%changelog
* Sat Jan 21 2012 Bruno ANSELME<bruno.anselme@free.fr> 0.8-1mga1
- Ajout d'une aide intégrée à l'aide d'une page html.

* Sat Jan 21 2012 Bruno ANSELME<bruno.anselme@free.fr> 0.7.5-1mga1
- Réglages fin du paquet, dépendances, icone du bureau, installeur windows.

* Fri Jan 20 2012 Bruno ANSELME<bruno.anselme@free.fr> 0.7.1-1mga1
- Début de packaging pour Mageia.

