#-------------------------------------------------
#
# Project created by QtCreator 2012-01-18T09:44:46
#
#-------------------------------------------------

QT       -= core gui

TARGET = exiv2
TEMPLATE = lib
CONFIG += dll

DEFINES += EXV_BUILDING_LIB

SOURCES += \
    actions.cpp \
    basicio.cpp \
    bmpimage.cpp \
    canonmn.cpp \
    convert.cpp \
    cr2image.cpp \
#    crwedit.cpp \
    crwimage.cpp \
#    crwparse.cpp \
    datasets.cpp \
    easyaccess.cpp \
    epsimage.cpp \
    error.cpp \
    exif.cpp \
    exiv2.cpp \
    fujimn.cpp \
    futils.cpp \
    getopt_win32.c \
    gifimage.cpp \
    image.cpp \
    iptc.cpp \
    jp2image.cpp \
    jpgimage.cpp \
    localtime.c \
    makernote.cpp \
#    metacopy.cpp \
    metadatum.cpp \
    minoltamn.cpp \
    mrwimage.cpp \
#    mrwthumb.cpp \
    nikonmn.cpp \
    olympusmn.cpp \
    orfimage.cpp \
    panasonicmn.cpp \
#    path-test.cpp \
    pentaxmn.cpp \
    pgfimage.cpp \
    pngchunk.cpp \
    pngimage.cpp \
    preview.cpp \
    properties.cpp \
    psdimage.cpp \
    rafimage.cpp \
    rw2image.cpp \
    samsungmn.cpp \
    sigmamn.cpp \
    sonymn.cpp \
#    taglist.cpp \
    tags.cpp \
    tgaimage.cpp \
    tiffcomposite.cpp \
    tiffimage.cpp \
#    tiffmn-test.cpp \
#    tiff-test.cpp \
    tiffvisitor.cpp \
    types.cpp \
    utils.cpp \
#    utiltest.cpp \
    value.cpp \
    version.cpp \
    xmp.cpp \
#    xmpdump.cpp \
    xmpsidecar.cpp


HEADERS += \
    actions.hpp \
    basicio.hpp \
    bmpimage.hpp \
    canonmn_int.hpp \
    convert.hpp \
    cr2image.hpp \
    cr2image_int.hpp \
    crwimage.hpp \
    crwimage_int.hpp \
    datasets.hpp \
#    doxygen.hpp \
#    doxygen.hpp.in \
    easyaccess.hpp \
    epsimage.hpp \
    error.hpp \
    exif.hpp \
    exiv2app.hpp \
    exiv2.hpp \
    exv_conf.h \
    fujimn_int.hpp \
    futils.hpp \
    getopt_win32.h \
    gifimage.hpp \
    i18n.h \
    image.hpp \
    iptc.hpp \
    jp2image.hpp \
    jpgimage.hpp \
    makernote_int.hpp \
    metacopy.hpp \
    metadatum.hpp \
    minoltamn_int.hpp \
    mrwimage.hpp \
    nikonmn_int.hpp \
    olympusmn_int.hpp \
    orfimage.hpp \
    orfimage_int.hpp \
    panasonicmn_int.hpp \
    pentaxmn_int.hpp \
    pgfimage.hpp \
    pngchunk_int.hpp \
    pngimage.hpp \
    preview.hpp \
    private.h \
    properties.hpp \
    psdimage.hpp \
    rafimage.hpp \
    rcsid_int.hpp \
    rw2image.hpp \
    rw2image_int.hpp \
    samsungmn_int.hpp \
    sigmamn_int.hpp \
    sonymn_int.hpp \
    tags.hpp \
    tags_int.hpp \
    tgaimage.hpp \
    tiffcomposite_int.hpp \
    tifffwd_int.hpp \
    tiffimage.hpp \
    tiffimage_int.hpp \
    tiffvisitor_int.hpp \
    timegm.h \
    types.hpp \
    tzfile.h \
    utils.hpp \
    value.hpp \
    version.hpp \
    xmp.hpp \
    xmpsidecar.hpp

