// *****************************************************************************
// Inclusions Qt
#include <QtGui>
#include "fenetre.h"
#include "apn.h"

/* Tags intéressants à repérer
     Image.Make
     Image.Model
     Image.Software
     Canon.OwnerName
     Canon.SerialNumber
     Canon.FirmwareVersion
*/

// *****************************************************************************
// Main
int main(int argc, char* argv[])
{
  #ifdef EXV_ENABLE_NLS
      setlocale(LC_ALL, "");
  //     bindtextdomain(EXV_PACKAGE, EXV_LOCALEDIR);
      textdomain(EXV_PACKAGE);
  #endif

  QApplication app(argc, argv);

  QTranslator qtTranslator;
  qtTranslator.load("qt_" + QLocale::system().name());
  app.installTranslator(&qtTranslator);

  QTranslator myappTranslator;
  myappTranslator.load(":/new/prefix1/exifrename_" + QLocale::system().name());
  app.installTranslator(&myappTranslator);

  init_APN_Tags();

  Fenetre fen;
  fen.show();
//  fen.setWindowTitle(QString("%1 - %2").arg(APP_NAME).arg(APP_VERSION));
  fen.setWindowTitle(QString("%1").arg(APP_NAME));
  return app.exec();

} // main

