#ifndef MONIMAGE_H
#define MONIMAGE_H

#include <QtGui>

//---------------------------
//! Affichage d'une image
class MonImage : public QFrame
{
    Q_OBJECT
  public:
    //! Constructeur de l'image
    MonImage(QWidget *parent=0);
    //! Rafraichissement de la vue
    void paintEvent(QPaintEvent *);
    //! Affectation d'un nom de fichier
    /*! \param fic nom du fichier sous la forme d'une QString
    */
    void setFile(QString fic);
  private:
    QImage                image;
};

#endif
